summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-11-10 22:08:03 +0100
committerMichał Górny <mgorny@gentoo.org>2020-11-10 22:35:32 +0100
commit5206fa56ef1387129bdc641c16e5358bd87cd13d (patch)
tree113b6384958815978c4dfcbc3c50058f65c36310 /dev-python/urllib3
parentapp-emulation/docker-proxy: drop old (diff)
downloadgentoo-5206fa56ef1387129bdc641c16e5358bd87cd13d.tar.gz
gentoo-5206fa56ef1387129bdc641c16e5358bd87cd13d.tar.bz2
gentoo-5206fa56ef1387129bdc641c16e5358bd87cd13d.zip
dev-python/urllib3: Bump to 1.26.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/urllib3')
-rw-r--r--dev-python/urllib3/Manifest1
-rw-r--r--dev-python/urllib3/urllib3-1.26.0.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index 5d7dec94ee5..585f9b56c64 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -1,3 +1,4 @@
DIST urllib3-1.24.2.tar.gz 230699 BLAKE2B 9c2f2be8fa743f542493d75072c02423d1bd40189561fa0ea393a8a2515b24da9a2a383aeec35b55bdd2a9954d3d585450d759548358ed91ecfdb9ec03d391b6 SHA512 9939e9e7c4da30b5effb334969cd835c9d0404a136761098203c699570aab02e63fb3f1b4ab680def0bc0906fabe5f0782ab94cf3095ff10ccf9b3c371653cf2
DIST urllib3-1.25.10.tar.gz 256875 BLAKE2B 3f2ad2cb3ac9a09f73c1ec03e89aa7313055afa443c53ec82fd9227348859566e20ca33b803972134be24eeed070c63b98e6ae75efde4006e2a4bb7b4cf3f054 SHA512 5718dab472a476bfd555753758ceef46c81dc358131205b6db05d186a66f397dc07252eda1622d12586390ccf14e8e17acdb9486c17cb7d34e323287a67373af
DIST urllib3-1.25.11.tar.gz 260300 BLAKE2B 06bd2107bad479e36c6474f95567c3ecb119d18b193b358df9e345e4d09392366255b21597b26fbf2374220b921cc2117a1972f88021c3a6ebac3844a319acbe SHA512 58f77edb9ced62cbac7b0baf2651c07f9f413267f103730ee25f08c5d4d0bf52a2ace02f58841bcd55652db677c7a1dc9a756681e7e32d590bc69d8b93e8f173
+DIST urllib3-1.26.0.tar.gz 291709 BLAKE2B e750bcd28c6205cb8e7f12c2a1c6123d48979877b206914fc122f67ff6cdf3e16e5d7ee0ffae1f4af40f028075f9592cdebf8856ca7e29b541283a8023afbf0d SHA512 5e5a78486cded9a378532a094818cfcaf6ec621d3aefbffac4c78f130798ee06f08e47d14f3d154274a502c8c1e3963a12d65030ba6109108ed786202637bd42
diff --git a/dev-python/urllib3/urllib3-1.26.0.ebuild b/dev-python/urllib3/urllib3-1.26.0.ebuild
new file mode 100644
index 00000000000..d690d8c84ad
--- /dev/null
+++ b/dev-python/urllib3/urllib3-1.26.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="https://github.com/urllib3/urllib3"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="brotli test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/PySocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/PySocks-2.0[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-1.3.4[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.14[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.0.0[${PYTHON_USEDEP}]
+ brotli? ( dev-python/brotlipy[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlipy[\${PYTHON_USEDEP}]
+ dev-python/mock[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-freezegun[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ >=www-servers/tornado-4.2.1[\${PYTHON_USEDEP}]
+ " python3_{6,7,8,9})
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/alabaster \
+ dev-python/mock
+
+python_prepare_all() {
+ # https://github.com/urllib3/urllib3/issues/1756
+ sed -e 's:10.255.255.1:240.0.0.0:' \
+ -i test/__init__.py || die
+ # tests failing if 'localhost.' cannot be resolved
+ sed -e 's:test_dotted_fqdn:_&:' \
+ -i test/with_dummyserver/test_https.py || die
+ sed -e 's:test_request_host_header_ignores_fqdn_dot:_&:' \
+ -i test/with_dummyserver/test_socketlevel.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x CI=1
+ # FIXME: get tornado ported
+ case ${EPYTHON} in
+ python3*)
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+ ;;
+ esac
+}